petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscOptionsGetBool

Gets the Logical (true or false) value for a particular option in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsGetBool(PetscOptions options,const char pre[],const char name[],PetscBool *ivalue,PetscBool *set)

Not Collective

### Input Parameters

| options | - options database, use NULL for default global database
| pre | - the string to prepend to the name or NULL
| name | - the option one is seeking

### Output Parameter

| ivalue | - the logical value to return
| set | - PETSC_TRUE if found, else PETSC_FALSE

### Notes

TRUE, true, YES, yes, nostring, and 1 all translate to PETSC_TRUE FALSE, false, NO, no, and 0 all translate to PETSC_FALSE

If the option is given, but no value is provided, then ivalue and set are both given the value PETSC_TRUE. That is -requested_bool is equivalent to -requested_bool true

If the user does not supply the option at all ivalue is NOT changed. Thus you should ALWAYS initialize the ivalue if you access it without first checking if the set flag is true.

### See Also

PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(),
PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsGetInt(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

### Level

beginner

### Location

src/sys/objects/options.c

### Examples

src/vec/vec/examples/tutorials/ex10.c.html
src/dm/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex2.c.html
src/dm/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex12.c.html
src/dm/examples/tutorials/ex15.c.html
src/ksp/pc/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex6.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages